<?php
/**
* Global Color Settings.
*
* @package Agriculture Farm Lite
*/

$agriculture_farm_lite_default = agriculture_farm_lite_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'agriculture_farm_lite_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'agriculture-farm-lite' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'agriculture_farm_lite_theme_option_panel',
	)
);

$wp_customize->add_setting( 'agriculture_farm_lite_global_color',
    array(
    'default'           => '#4AB24E',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'agriculture_farm_lite_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'agriculture-farm-lite' ),
        'section'    => 'agriculture_farm_lite_global_color_setting',
        'settings'   => 'agriculture_farm_lite_global_color',
    ) ) 
);

$wp_customize->add_setting( 'agriculture_farm_lite_secondary_color',
    array(
    'default'           => '#91C850',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'agriculture_farm_lite_secondary_color',
    array(
        'label'      => esc_html__( 'Seconday Color', 'agriculture-farm-lite' ),
        'section'    => 'agriculture_farm_lite_global_color_setting',
        'settings'   => 'agriculture_farm_lite_secondary_color',
    ) ) 
);